declare namespace _default {
    const inheritAttrs: boolean;
    namespace props {
        namespace duration {
            export const type: (ObjectConstructor | NumberConstructor)[];
            const _default: number;
            export { _default as default };
        }
        namespace delay {
            const type_1: (ObjectConstructor | NumberConstructor)[];
            export { type_1 as type };
            const _default_1: number;
            export { _default_1 as default };
        }
        const group: BooleanConstructor;
        namespace tag {
            const type_2: StringConstructor;
            export { type_2 as type };
            const _default_2: string;
            export { _default_2 as default };
        }
        namespace origin {
            const type_3: StringConstructor;
            export { type_3 as type };
            const _default_3: string;
            export { _default_3 as default };
        }
        namespace styles {
            const type_4: ObjectConstructor;
            export { type_4 as type };
            function _default_4(): {
                animationFillMode: string;
                animationTimingFunction: string;
            };
            export { _default_4 as default };
        }
    }
    namespace computed {
        function componentType(): any;
        function componentType(): any;
        function hooks(): any;
        function hooks(): any;
    }
    namespace methods {
        function beforeEnter(el: any): void;
        function beforeEnter(el: any): void;
        function cleanUpStyles(el: any): void;
        function cleanUpStyles(el: any): void;
        function beforeLeave(el: any): void;
        function beforeLeave(el: any): void;
        function leave(el: any): void;
        function leave(el: any): void;
        function setStyles(el: any): void;
        function setStyles(el: any): void;
        function setAbsolutePosition(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
        function setAbsolutePosition(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
        function setTransformOrigin(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
        function setTransformOrigin(el: any): {
            beforeEnter(el: any): void;
            cleanUpStyles(el: any): void;
            beforeLeave(el: any): void;
            leave(el: any): void;
            setStyles(el: any): void;
            setAbsolutePosition(el: any): any;
            setTransformOrigin(el: any): any;
        };
    }
}
export default _default;
